Subject: Re: bug#74805: 30.0.92; Trying to build scratch/igc on Cygwin

From: Stefan Kangas <[email-masked]>
Date: Thu, 12 Dec 2024 03:05:58 -0800

Ken Brown <[email-masked]> writes:

> I've made a first attempt to port mps to Cygwin.  If anyone else is
> interested in seeing this or helping, you can find my work at
>
>    https://github.com/kbrow1i/mps-cygwin
>
> This is a fork of the mps git repo with two commits on top.
>
> With the current attempt, I can build the scratch/igc branch, but there
> are many test failures.  For example, when I run the process-tests, I
> get 19 failures and 8 skipped tests.  But on the master branch I get no
> failures and only 3 skipped.
>
> This probably means that my current attempt to port mps is no good, and
> I have to go back to the drawing board.  Before I do that, however, I'd
> like to check and see if test failures on scratch/igc are to be
> expected.  Are people testing other platforms seeing this too?

Do we expect upstream to be amenable to eventually taking these patches?
I see that they officially only support "Windows Vista or later, on
IA-32 and x86-64, using Microsoft Visual C/C++".